FreeMat

- Main Page
- Related Pages

vtkPointSetSource

Section: Visualization Toolkit Filtering Classes

# Usage

vtkPointSetSource is an abstract class whose subclasses generate pointdata.

To create an instance of class vtkPointSetSource, simply invoke its constructor as follows

      obj = vtkPointSetSource

# Methods

The class vtkPointSetSource has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPointSetSource class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPointSetSource = obj.NewInstance ()`
- `vtkPointSetSource = obj.SafeDownCast (vtkObject o)`
- `vtkPointSet = obj.GetOutput ()` - Get the output of this source.
- `vtkPointSet = obj.GetOutput (int idx)` - Get the output of this source.
- `obj.SetOutput (vtkPointSet output)` - Get the output of this source.